import request from '@/utils/request'

// 新增奖项
export function prizeAdd (data) {
  return request({
    url: '/games/prize/add',
    method: 'post',
    data
  })
}
// 获取奖项详细信息
export function prizeInfo (id) {
  return request({
    url: `/games/prize/info/${id}`,
    method: 'get',
  })
}
// 删除奖项
export function prizeDel (ids) {
  return request({
    url: `/games/prize/del/${ids}`,
    method: 'post',
  })
}
// 修改奖项
export function prizeEdit (data) {
  return request({
    url: `/games/prize/edit`,
    method: 'post',
    data
  })
}
// 查询奖项列表
export function prizePage (query) {
  return request({
    url: `/games/prize/page`,
    method: 'get',
    params: query
  })
}
// 新增利润明细
export function profitDetailAdd (data) {
  return request({
    url: `/games/profitDetail/add`,
    method: 'post',
    data
  })
}
// 查询利润明细列表
export function profitDetailPage (query) {
  return request({
    url: `/games/profitDetail/page`,
    method: 'get',
    params: query
  })
}
// 获取利润总账详细信息
export function profitTotalInfo () {
  return request({
    url: `/games/profitTotal/info`,
    method: 'get',
  })
}
// 新增充值红包
export function rechargeRedPacketAdd (data) {
  return request({
    url: `/games/rechargeRedPacket/add`,
    method: 'post',
    data
  })
}
// 查询充值红包列表
export function rechargeRedPacketPage (query) {
  return request({
    url: `/games/rechargeRedPacket/page`,
    method: 'get',
    params: query
  })
}
// 获取充值总账详细信息
export function rechargeTotalInfo () {
  return request({
    url: `/games/rechargeTotal/info`,
    method: 'get',
  })
}
// 查询游戏记录列表
export function gameRecordPage (query) {
  return request({
    url: `/games/gameRecord/page`,
    method: 'get',
    params: query
  })
}